For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to page URLs.
Skip to content

Trading Wallets

List, create and rename trading wallets and pick the default one.

Get Trading Wallets

get

Returns a list of trading wallets for the authenticated user. Trading wallets are custodial wallets used for executing trades through Cielo's trading infrastructure. Plans Included = Basic, Whale, ApiBasic, Builder, Architect, Enterprise Cost per request = 5 credits.

Authorizations
X-API-KEYstringRequired
Query parameters
chainstringRequired

Blockchain chain filter (e.g. solana, base).

include_archivedbooleanOptional

Include archived wallets.

Default: true
Responses
200

List of trading wallets

application/json
statusstringOptionalExample: ok
get/api/trading/wallets
GET /api/trading/wallets?chain=text HTTP/1.1
Host: api.cielo.finance
X-API-KEY: YOUR_API_KEY
Accept: */*
{
  "status": "ok",
  "data": [
    {
      "address": "text",
      "wallet_name": "text",
      "is_default": true,
      "is_enabled": true,
      "is_archived": true,
      "chain": "text",
      "balance": 1,
      "balance_usd": 1,
      "usdc_balance": 1
    }
  ]
}

Create Trading Wallet

post

Creates a new trading wallet for the authenticated user on the given chain. Plans Included = Basic, Whale, ApiBasic, Builder, Architect, Enterprise Cost per request = 10 credits.

Authorizations
X-API-KEYstringRequired
Query parameters
chainstringOptional

Blockchain chain (e.g. solana, base). Defaults to solana.

Responses
200

Created trading wallet

application/json
statusstringOptionalExample: ok
post/api/trading/wallets
POST /api/trading/wallets HTTP/1.1
Host: api.cielo.finance
X-API-KEY: YOUR_API_KEY
Accept: */*
{
  "status": "ok",
  "data": {
    "address": "text",
    "wallet_name": "text",
    "is_default": true,
    "is_enabled": true,
    "is_archived": true,
    "chain": "text",
    "balance": 1,
    "balance_usd": 1,
    "usdc_balance": 1
  }
}

Get Default Trading Wallet

get

Returns the default trading wallet for the specified chain. Plans Included = Basic, Whale, ApiBasic, Builder, Architect, Enterprise Cost per request = 5 credits.

Authorizations
X-API-KEYstringRequired
Query parameters
chainstringRequired

Blockchain chain (e.g. solana, base).

Responses
200

Default trading wallet

application/json
statusstringOptionalExample: ok
get/api/trading/wallets/default
GET /api/trading/wallets/default?chain=text HTTP/1.1
Host: api.cielo.finance
X-API-KEY: YOUR_API_KEY
Accept: */*
{
  "status": "ok",
  "data": {
    "address": "text",
    "wallet_name": "text",
    "is_default": true,
    "is_enabled": true,
    "is_archived": true,
    "chain": "text",
    "balance": 1,
    "balance_usd": 1,
    "usdc_balance": 1
  }
}

Set Default Trading Wallet

put

Sets a specific trading wallet as the user's default wallet. Plans Included = Basic, Whale, ApiBasic, Builder, Architect, Enterprise Cost per request = 2 credits.

Authorizations
X-API-KEYstringRequired
Path parameters
wallet_idstringRequired

Trading wallet ID.

Query parameters
chainstringOptional

Blockchain chain filter.

Responses
200

Wallet set as default

application/json
statusstringOptionalExample: ok
put/api/trading/wallets/{wallet_id}/default
PUT /api/trading/wallets/{wallet_id}/default HTTP/1.1
Host: api.cielo.finance
X-API-KEY: YOUR_API_KEY
Accept: */*
{
  "status": "ok",
  "data": {
    "address": "text",
    "wallet_name": "text",
    "is_default": true,
    "is_enabled": true,
    "is_archived": true,
    "chain": "text",
    "balance": 1,
    "balance_usd": 1,
    "usdc_balance": 1
  }
}

Rename Trading Wallet

put

Updates the display name of a trading wallet. Plans Included = Basic, Whale, ApiBasic, Builder, Architect, Enterprise Cost per request = 2 credits.

Authorizations
X-API-KEYstringRequired
Path parameters
wallet_idstringRequired

Trading wallet ID.

Query parameters
chainstringOptional

Blockchain chain filter.

Body
new_namestring · min: 1 · max: 100Required

New wallet name (1-100 characters).

Example: My Trading Wallet
Responses
200

Wallet renamed

application/json
statusstringOptionalExample: ok
put/api/trading/wallets/{wallet_id}/name
PUT /api/trading/wallets/{wallet_id}/name HTTP/1.1
Host: api.cielo.finance
X-API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 32

{
  "new_name": "My Trading Wallet"
}
{
  "status": "ok",
  "data": {
    "address": "text",
    "wallet_name": "text",
    "is_default": true,
    "is_enabled": true,
    "is_archived": true,
    "chain": "text",
    "balance": 1,
    "balance_usd": 1,
    "usdc_balance": 1
  }
}

Last updated